Index: /trunk/NEMO/OPA_SRC/OBC/obc_oce.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/OBC/obc_oce.F90	(revision 2165)
+++ /trunk/NEMO/OPA_SRC/OBC/obc_oce.F90	(revision 2166)
@@ -87,5 +87,5 @@
    INTEGER ::   nje1m2, nje0m1    !: do loop index in mpp case for jpjefm1-1,jpjed
 
-   REAL(wp), DIMENSION(jpjed:jpjef) ::   &  !:
+   REAL(wp), DIMENSION(jpj) ::   &  !:
       sshfoe,           & !: now climatology of the east boundary sea surface height
       ubtfoe,vbtfoe       !: now climatology of the east boundary barotropic transport
@@ -97,6 +97,6 @@
       !                   ! in the obcdyn.F90 routine
 
-   REAL(wp), DIMENSION(jpjed:jpjef,jpj) ::   sshfoe_b      !: east boundary ssh correction averaged over the barotropic loop
-      !                                                    !  (if Flather's algoritm applied at open boundary)
+   REAL(wp), DIMENSION(jpi,jpj) ::   sshfoe_b      !: east boundary ssh correction averaged over the barotropic loop
+      !                                            !  (if Flather's algoritm applied at open boundary)
 
    !!-------------------------------
@@ -124,5 +124,5 @@
    INTEGER ::   njw1m2, njw0m1     !: do loop index in mpp case for jpjwfm2,jpjwd
 
-   REAL(wp), DIMENSION(jpjwd:jpjwf) ::   &  !:
+   REAL(wp), DIMENSION(jpj) ::   &  !:
       sshfow,           & !: now climatology of the west boundary sea surface height
       ubtfow,vbtfow       !: now climatology of the west boundary barotropic transport
@@ -134,6 +134,6 @@
       !                   !  in the obcdyn.F90 routine
 
-   REAL(wp), DIMENSION(jpjwd:jpjwf,jpj) ::   sshfow_b    !: west boundary ssh correction averaged over the barotropic loop
-      !                                                  !  (if Flather's algoritm applied at open boundary)
+   REAL(wp), DIMENSION(jpi,jpj) ::   sshfow_b    !: west boundary ssh correction averaged over the barotropic loop
+      !                                          !  (if Flather's algoritm applied at open boundary)
 
    !!-------------------------------
@@ -162,5 +162,5 @@
    INTEGER ::   njn0m1, njn1m1     !: do loop index in mpp case for jpnob-1
 
-   REAL(wp), DIMENSION(jpind:jpinf) ::   &  !:
+   REAL(wp), DIMENSION(jpi) ::   &  !:
       sshfon,           & !: now climatology of the north boundary sea surface height
       ubtfon,vbtfon       !: now climatology of the north boundary barotropic transport
@@ -172,6 +172,6 @@
       !                   !  in yhe obcdyn.F90 routine
 
-   REAL(wp), DIMENSION(jpind:jpinf,jpj) ::   sshfon_b      !: north boundary ssh correction averaged over the barotropic loop
-      !                                                    !  (if Flather's algoritm applied at open boundary)
+   REAL(wp), DIMENSION(jpi,jpj) ::   sshfon_b      !: north boundary ssh correction averaged over the barotropic loop
+      !                                            !  (if Flather's algoritm applied at open boundary)
 
    !!--------------------------------
@@ -199,5 +199,5 @@
    INTEGER ::   njs0p1, njs1p1     !: do loop index in mpp case for jpsob+1
 
-   REAL(wp), DIMENSION(jpisd:jpisf) ::    &   !:
+   REAL(wp), DIMENSION(jpi) ::    &   !:
       sshfos,           & !: now climatology of the south boundary sea surface height
       ubtfos,vbtfos       !: now climatology of the south boundary barotropic transport
@@ -209,6 +209,6 @@
       !                   !  in the obcdyn.F90 routine
 
-   REAL(wp), DIMENSION(jpisd:jpisf,jpj) ::   sshfos_b     !: south boundary ssh correction averaged over the barotropic loop
-      !                                                   !  (if Flather's algoritm applied at open boundary)
+   REAL(wp), DIMENSION(jpi,jpj) ::   sshfos_b     !: south boundary ssh correction averaged over the barotropic loop
+      !                                           !  (if Flather's algoritm applied at open boundary)
 
    !!--------------------------------
Index: /trunk/NEMO/OPA_SRC/OBC/obcdta.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/OBC/obcdta.F90	(revision 2165)
+++ /trunk/NEMO/OPA_SRC/OBC/obcdta.F90	(revision 2166)
@@ -1,67 +1,85 @@
 MODULE obcdta
-  !!==============================================================================
-  !!                            ***  MODULE obcdta  ***
-  !! Open boundary data : read the data for the open boundaries.
-  !!==============================================================================
+   !!==============================================================================
+   !!                            ***  MODULE obcdta  ***
+   !! Open boundary data : read the data for the open boundaries.
+   !!==============================================================================
 #if defined key_obc
-  !!------------------------------------------------------------------------------
-  !!   'key_obc'         :                                Open Boundary Conditions
-  !!------------------------------------------------------------------------------
-  !!   obc_dta           : read u, v, t, s data along each open boundary
-  !!------------------------------------------------------------------------------
-  !! * Modules used
-  USE oce             ! ocean dynamics and tracers 
-  USE dom_oce         ! ocean space and time domain
-  USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
-  USE phycst          ! physical constants
-  USE obc_oce         ! ocean open boundary conditions
-  USE in_out_manager  ! I/O logical units
-  USE lib_mpp         ! distributed memory computing
-  USE dynspg_oce
-  USE ioipsl          ! now only for  ymds2ju function 
-  USE iom             ! 
-
-  IMPLICIT NONE
-  PRIVATE
-
-  !! * Accessibility
-  PUBLIC obc_dta      ! routines called by step.F90
-  PUBLIC obc_dta_bt   ! routines called by dynspg_ts.F90
-
-  !! * Shared module variables
-!$AGRIF_DO_NOT_TREAT
-  REAL(wp),  DIMENSION(2)              ::  zjcnes_obc   ! 
-  REAL(wp),  DIMENSION(:), ALLOCATABLE :: ztcobc
-!$AGRIF_END_DO_NOT_TREAT
-  REAL(wp) :: rdt_obc
-  REAL(wp) :: zjcnes
-  INTEGER :: imm0, iyy0, idd0, iyy, imm, idd
-  INTEGER :: nt_a=2, nt_b=1, itobc, ndate0_cnes, nday_year0
-  INTEGER ::  itobce, itobcw, itobcs, itobcn, itobc_b  ! number of time steps in OBC files
-
-  INTEGER ::   &
-       ntobc      , &     !:  where we are in the obc file
-       ntobc_b    , &     !:  first record used
-       ntobc_a            !:  second record used
-
-  CHARACTER (len=40) :: &    ! name of data files
-       cl_obc_eTS   , cl_obc_eU,  &
-       cl_obc_wTS   , cl_obc_wU,  &
-       cl_obc_nTS   , cl_obc_nV,  &
-       cl_obc_sTS   , cl_obc_sV
-
-  ! arrays used for interpolating time dependent data on the boundaries
-  REAL(wp), DIMENSION(jpj,jpk,jptobc) :: uedta, vedta, tedta, sedta    ! East
-  REAL(wp), DIMENSION(jpj,jpk,jptobc) :: uwdta, vwdta, twdta, swdta    ! West
-  REAL(wp), DIMENSION(jpi,jpk,jptobc) :: undta, vndta, tndta, sndta    ! North
-  REAL(wp), DIMENSION(jpi,jpk,jptobc) :: usdta, vsdta, tsdta, ssdta    ! South
-
-  LOGICAL, DIMENSION (jpj,jpk ) :: ltemsk=.TRUE., luemsk=.TRUE., lvemsk=.TRUE.  ! boolean msks
-  LOGICAL, DIMENSION (jpj,jpk ) :: ltwmsk=.TRUE., luwmsk=.TRUE., lvwmsk=.TRUE.  ! used for outliers
-  LOGICAL, DIMENSION (jpi,jpk ) :: ltnmsk=.TRUE., lunmsk=.TRUE., lvnmsk=.TRUE.  ! checks
-  LOGICAL, DIMENSION (jpi,jpk ) :: ltsmsk=.TRUE., lusmsk=.TRUE., lvsmsk=.TRUE.
-
-  !! * Substitutions
+   !!------------------------------------------------------------------------------
+   !!   'key_obc'         :                                Open Boundary Conditions
+   !!------------------------------------------------------------------------------
+   !!   obc_dta           : read u, v, t, s data along each open boundary
+   !!------------------------------------------------------------------------------
+   !! * Modules used
+   USE oce             ! ocean dynamics and tracers 
+   USE dom_oce         ! ocean space and time domain
+   USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
+   USE phycst          ! physical constants
+   USE obc_par         ! ocean open boundary conditions
+   USE obc_oce         ! ocean open boundary conditions
+   USE in_out_manager  ! I/O logical units
+   USE lib_mpp         ! distributed memory computing
+   USE dynspg_oce
+   USE ioipsl          ! now only for  ymds2ju function 
+   USE iom             ! 
+
+   IMPLICIT NONE
+   PRIVATE
+
+   !! * Accessibility
+   PUBLIC obc_dta      ! routines called by step.F90
+   PUBLIC obc_dta_bt   ! routines called by dynspg_ts.F90
+
+   !! * Shared module variables
+   REAL(wp),  DIMENSION(2)              ::  zjcnes_obc   ! 
+   REAL(wp),  DIMENSION(:), ALLOCATABLE :: ztcobc
+   REAL(wp) :: rdt_obc
+   REAL(wp) :: zjcnes
+   INTEGER :: imm0, iyy0, idd0, iyy, imm, idd
+   INTEGER :: nt_a=2, nt_b=1, itobc, ndate0_cnes, nday_year0
+   INTEGER ::  itobce, itobcw, itobcs, itobcn, itobc_b  ! number of time steps in OBC files
+
+   INTEGER ::   &
+      ntobc      , &     !:  where we are in the obc file
+      ntobc_b    , &     !:  first record used
+      ntobc_a            !:  second record used
+
+   CHARACTER (len=40) :: &    ! name of data files
+      cl_obc_eTS   , cl_obc_eU,  &
+      cl_obc_wTS   , cl_obc_wU,  &
+      cl_obc_nTS   , cl_obc_nV,  &
+      cl_obc_sTS   , cl_obc_sV
+
+# if defined key_dynspg_ts
+   ! bt arrays for interpolating time dependent data on the boundaries
+   INTEGER :: nt_m=0, ntobc_m
+   REAL(wp), DIMENSION(jpj,0:jptobc) :: ubtedta, vbtedta, sshedta  ! East
+   REAL(wp), DIMENSION(jpj,0:jptobc) :: ubtwdta, vbtwdta, sshwdta	! West
+   REAL(wp), DIMENSION(jpi,0:jptobc) :: ubtndta, vbtndta, sshndta	! North
+   REAL(wp), DIMENSION(jpi,0:jptobc) :: ubtsdta, vbtsdta, sshsdta	! South
+   ! arrays used for interpolating time dependent data on the boundaries
+   REAL(wp), DIMENSION(jpj,jpk,0:jptobc) :: uedta, vedta, tedta, sedta    ! East
+   REAL(wp), DIMENSION(jpj,jpk,0:jptobc) :: uwdta, vwdta, twdta, swdta    ! West
+   REAL(wp), DIMENSION(jpi,jpk,0:jptobc) :: undta, vndta, tndta, sndta    ! North
+   REAL(wp), DIMENSION(jpi,jpk,0:jptobc) :: usdta, vsdta, tsdta, ssdta    ! South
+# else
+   ! bt arrays for interpolating time dependent data on the boundaries
+   REAL(wp), DIMENSION(jpj,jptobc) :: ubtedta, vbtedta, sshedta  ! East
+   REAL(wp), DIMENSION(jpj,jptobc) :: ubtwdta, vbtwdta, sshwdta        ! West
+   REAL(wp), DIMENSION(jpi,jptobc) :: ubtndta, vbtndta, sshndta        ! North
+   REAL(wp), DIMENSION(jpi,jptobc) :: ubtsdta, vbtsdta, sshsdta        ! South
+   ! arrays used for interpolating time dependent data on the boundaries
+   REAL(wp), DIMENSION(jpj,jpk,jptobc) :: uedta, vedta, tedta, sedta    ! East
+   REAL(wp), DIMENSION(jpj,jpk,jptobc) :: uwdta, vwdta, twdta, swdta    ! West
+   REAL(wp), DIMENSION(jpi,jpk,jptobc) :: undta, vndta, tndta, sndta    ! North
+   REAL(wp), DIMENSION(jpi,jpk,jptobc) :: usdta, vsdta, tsdta, ssdta    ! South
+# endif
+   LOGICAL, DIMENSION (jpj,jpk ) :: ltemsk=.TRUE., luemsk=.TRUE., lvemsk=.TRUE.  ! boolean msks
+   LOGICAL, DIMENSION (jpj,jpk ) :: ltwmsk=.TRUE., luwmsk=.TRUE., lvwmsk=.TRUE.  ! used for outliers
+   LOGICAL, DIMENSION (jpi,jpk ) :: ltnmsk=.TRUE., lunmsk=.TRUE., lvnmsk=.TRUE.  ! checks
+   LOGICAL, DIMENSION (jpi,jpk ) :: ltsmsk=.TRUE., lusmsk=.TRUE., lvsmsk=.TRUE.
+
+   !! * Substitutions
 #  include "obc_vectopt_loop_substitute.h90"
+#  include "domzgr_substitute.h90"
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2006)
